---
id: zelkaorg
name: Zelka.org
description: "Zelka (Zamunda) is a BULGARIAN Private Torrent Tracker for 0DAY / GENERAL"
language: bg-BG
type: private
encoding: windows-1251
links:
  - https://zelka.org/
  - https://zamunda.se/
legacylinks:
  - http://zelka.org/
  - http://zamunda.se/

caps:
  categorymappings:
    - {id: 42, cat: Movies/BluRay, desc: "Blu-ray"}
    - {id: 36, cat: PC/Mobile-Other, desc: "Mobile/GSM"}
    - {id: 50, cat: TV, desc: "TV"}
    - {id: 9, cat: XXX, desc: "XXX"}
    - {id: 48, cat: XXX, desc: "XXX/3D"}
    - {id: 49, cat: XXX/x264, desc: "XXX/HD"}
    - {id: 25, cat: Movies/SD, desc: "Cartoons"}
    - {id: 51, cat: Movies/HD, desc: "Cartoons/HD"}
    - {id: 26, cat: Other, desc: "Others"}
    - {id: 39, cat: PC/Mac, desc: "Games/Mac"}
    - {id: 4, cat: PC/Games, desc: "Games/PC ISO"}
    - {id: 21, cat: PC/Games, desc: "Games/PC Rip"}
    - {id: 17, cat: Console/PS3, desc: "Games/PS"}
    - {id: 40, cat: Console/XBox, desc: "Games/Xbox"}
    - {id: 12, cat: Console/Other, desc: "Games/Console"}
    - {id: 23, cat: Audio/Video, desc: "Clips/Concerts"}
    - {id: 32, cat: Books/Comics, desc: "Books/Comics"}
    - {id: 6, cat: Audio/MP3, desc: "Music"}
    - {id: 29, cat: Movies/DVD, desc: "Music/DVD"}
    - {id: 30, cat: Audio/Lossless, desc: "Music/Hi-Res Audio"}
    - {id: 34, cat: Audio/Lossless, desc: "Music/Lossless"}
    - {id: 52, cat: Audio/Other, desc: "Music/Vinyl HQRip"}
    - {id: 22, cat: PC, desc: "Software"}
    - {id: 38, cat: PC/Mac, desc: "Software/Mac"}
    - {id: 1, cat: PC/ISO, desc: "Software/PC ISO"}
    - {id: 7, cat: TV/SD, desc: "Series"}
    - {id: 33, cat: TV/HD, desc: "Series/HD"}
    - {id: 37, cat: PC, desc: "Warehouse"}
    - {id: 41, cat: TV/Sport, desc: "Sport"}
    - {id: 43, cat: TV/Sport, desc: "Sport/HD"}
    - {id: 53, cat: Movies/HD, desc: "Movies/1080"}
    - {id: 46, cat: Movies/3D, desc: "Movies/3D"}
    - {id: 5, cat: Movies/HD, desc: "Movies/720"}
    - {id: 20, cat: Movies/DVD, desc: "Movies/DVD"}
    - {id: 54, cat: Movies/Other, desc: "Movies/VHS Rip"}
    - {id: 35, cat: Movies/HD, desc: "Movies/x264"}
    - {id: 19, cat: Movies/SD, desc: "Movies/XviD"}
    - {id: 24, cat: Movies/Foreign, desc: "Movies/Bulgarian"}
    - {id: 31, cat: TV/Documentary, desc: "Movies/Science"}
    - {id: 28, cat: Movies/Foreign, desc: "Movies/Russian"}
    - {id: 27, cat: TV/Anime, desc: "Hentai"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 6
    options:
      6: created
      9: seeders
      7: size
      2: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: ip_filtering
    type: info
    label: "IP Filtering"
    default: "Zelka occasionally blocks Non-Bulgarian IP addresses. A <b>FlareSolverr</b> error means your IP was not accepted."
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "With the option for parking accounts you can prevent your user nickname from getting deleted by the system for deleting inactive accounts."

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  error:
    - selector: td.embedded:has(h2:contains("failed"))
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 active, 1 all, 2 dead
    incldead: 1
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: ".test > tbody > tr:has(a[href^=\"browse.php\"]){{ if .Config.freeleech }}:has(a[style=\"color: #b9a100;\"]){{ else }}{{ end }}"

  fields:
    title:
      selector: a:has(img[src$="/pic/download.gif"])
      attribute: href
      filters:
        - name: urldecode
        - name: re_replace
          args: ["^(.*?)download\\.php\\/[0-9]{1,10}\\/|\\.torrent(?=[^.]*$)", ""]
    details:
      selector: td:nth-child(2) > a:nth-child(1)
      attribute: href
    category:
      selector: td:nth-child(1) > a
      attribute: href
      filters:
        - name: querystring
          args: cat
    download:
      selector: a:has(img[src$="/pic/download.gif"])
      attribute: href
    magnet:
      optional: true
      selector: a:has(img[src$="/pic/magnet-icon-12w-12h.gif"])
      attribute: href
    grabs:
      selector: td:nth-child(7)
    size:
      selector: td:nth-child(6)
    date:
      # 2020-10-2411:18:30
      selector: td:nth-child(5)
      filters:
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    seeders:
      selector: td:nth-child(8)
    leechers:
      selector: td:nth-child(9)
    poster:
      selector: td:nth-child(2) > a:nth-child(1)
      attribute: onmouseover
      filters:
        - name: regexp
          args: src=([^\s]+)
    genre:
      selector: td:nth-child(2) > a:nth-child(1)
      attribute: onmouseover
      filters:
        - name: replace
          args: ["</p><p class=\\'pop\\'>", " "]
        - name: regexp
          args: "Genre:</b>(.+?)</div"
    description:
      text: "{{ .Result.genre }}"
    downloadvolumefactor:
      case:
        "a[style=\"color: #b9a100;\"][href^=\"details.php?\"]": 0
        "*": 1
    uploadvolumefactor:
      text: 1
# engine tbd
